# $Revision: 1.85.2.2 $, $Date: 2008-04-04 19:03:28 $
#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_with	verbose		# verbose build (V=1)

%ifarch sparc
%undefine	with_smp
%endif

%if %{without kernel}
%undefine with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif

%define		rel	1
%define		pname	e1000
Summary:	Intel(R) PRO/1000 driver for Linux
Summary(pl.UTF-8):	Sterownik do karty Intel(R) PRO/1000
Name:		%{pname}%{_alt_kernel}
Version:	7.6.15.5
Release:	%{rel}
License:	GPL v2
Group:		Base/Kernel
Source0:	http://dl.sourceforge.net/e1000/%{pname}-%{version}.tar.gz
# Source0-md5:	744d801c29a3c67713228aea96e17c86
URL:		http://sourceforge.net/projects/e1000/
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRequires:	rpmbuild(macros) >= 1.379
# gcc fails on ac-ppc, ac-sparc has no enable/disable_irq symbols
ExcludeArch:	ppc sparc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Linux driver for the Intel(R) PRO/1000
family of 10/100/1000 Ethernet network adapters.

%description -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych
10/100/1000Mbit z rodziny Intel(R) PRO/1000.

%package -n kernel%{_alt_kernel}-net-e1000
Summary:	Intel(R) PRO/1000 driver for Linux
Summary(pl.UTF-8):	Sterownik do karty Intel(R) PRO/1000
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}(vermagic) = %{_kernel_ver}}
Obsoletes:	e1000
Obsoletes:	linux-net-e1000

%description -n kernel%{_alt_kernel}-net-e1000
This package contains the Linux driver for the Intel(R) PRO/1000
family of 10/100/1000 Ethernet network adapters.

%description -n kernel%{_alt_kernel}-net-e1000 -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych
10/100/1000Mbit z rodziny Intel(R) PRO/1000.

%prep
%setup -q -n %{pname}-%{version}
cat > src/Makefile <<'EOF'
obj-m := e1000.o
e1000-objs := e1000_main.o e1000_82540.o e1000_82542.o e1000_82571.o e1000_82541.o \
e1000_82543.o e1000_ich8lan.o e1000_80003es2lan.o e1000_mac.o e1000_nvm.o e1000_phy.o \
e1000_manage.o e1000_param.o e1000_ethtool.o kcompat.o e1000_api.o

EXTRA_CFLAGS=-DDRIVER_E1000
EOF

%build
%build_kernel_modules -C src -m %{pname}

%install
rm -rf $RPM_BUILD_ROOT
%install_kernel_modules -m src/%{pname} -d kernel/drivers/net -n %{pname} -s current
# blacklist kernel module
cat > $RPM_BUILD_ROOT/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf <<'EOF'
blacklist e1000
alias e1000 e1000-current
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-net-e1000
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-net-e1000
%depmod %{_kernel_ver}

%files	-n kernel%{_alt_kernel}-net-e1000
%defattr(644,root,root,755)
%doc e1000.7 README
/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf
/lib/modules/%{_kernel_ver}/kernel/drivers/net/%{pname}*.ko*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: e1000.spec,v $
Revision 1.85.2.2  2008-04-04 19:03:28  glen
- disable failing archs

Revision 1.85.2.1  2008-04-04 18:57:34  glen
- ac macros

Revision 1.85  2008-04-04 18:56:40  glen
- merge fixes from AC-branch

Revision 1.84  2008-03-28 08:14:12  hawk
- updated to 7.6.15.5

Revision 1.83  2008-03-09 11:26:47  shadzik
- blacklist old e1000 module from kernel source
- rel 2

Revision 1.82  2008-03-02 18:56:50  hawk
- killed underscore insanity, cosmetics

Revision 1.81  2008-02-29 08:54:14  hawk
- updated to 7.6.15.4

Revision 1.80  2008-02-12 09:41:07  hawk
- release 4

Revision 1.79  2008-02-08 08:51:45  hawk
- release 3

Revision 1.78  2008-02-03 07:39:36  hawk
- release 2

Revision 1.77  2008-02-01 20:51:18  zbyniu
- up to 7.6.15; builds on kernel-*-2.6.22 and .24

Revision 1.76  2008-01-23 17:32:04  hawk
- suffix src package with alt kernel name (if present)

Revision 1.75  2007-12-17 23:43:57  shadzik
- summary ut8

Revision 1.74  2007-12-09 22:43:45  areq
- rel 2

Revision 1.73  2007-11-27 23:00:40  glen
- keep src.rpm without kernel ver (update from AC-branch), cvs cp pending

Revision 1.72  2007-11-27 01:18:18  shadzik
- 7.6.12

Revision 1.71  2007-10-18 19:19:46  adamg
- updated to 7.6.9.1

Revision 1.70  2007/08/24 16:34:40  shadzik
- define _mod_name

Revision 1.69  2007/08/24 16:30:03  shadzik
- 7.6.5

Revision 1.68  2007/04/26 23:44:00  shadzik
- up to 7.5.5

Revision 1.67  2007/04/09 00:22:12  shadzik
- proper rpm macros are not enough, you need also a proper kernel (updated kernel-module-build version)

Revision 1.66  2007/04/08 12:24:25  shadzik
- new URL

Revision 1.65  2007/03/25 03:52:02  shadzik
- cleanup

Revision 1.64  2007/03/24 21:11:31  shadzik
- 7.4.35
- new kernel macros
- remove obsolete smp support

Revision 1.63  2007/03/01 01:29:25  shadzik
- 7.4.27

Revision 1.62  2007/03/01 01:12:11  shadzik
- up to 7.3.20

Revision 1.61  2007/02/27 16:52:59  sparky
- without up bcond
- fixed %files for smp-only

Revision 1.60  2007/02/13 08:06:37  glen
- tabs in preamble

Revision 1.59  2007/02/12 00:49:00  baggins
- converted to UTF-8

Revision 1.58  2006/11/28 17:59:24  glen
- add per package modprobe file so one could keep using e1000 in their modprobe.conf

Revision 1.57  2006/11/19 21:21:59  sparky
- cosmetics

Revision 1.56  2006/11/19 03:57:20  shadzik
- kill duplicate dir installation

Revision 1.55  2006/11/19 03:53:31  shadzik
- BR: rpmbuild(macros) >= 1.330

Revision 1.54  2006/11/19 03:53:01  shadzik
- use new kernel_build macros

Revision 1.53  2006/09/25 15:57:27  shadzik
- 7.2.9

Revision 1.52  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.51  2006/08/18 22:20:42  shadzik
- up to 7.2.7

Revision 1.50  2006/06/25 10:58:18  adamg
- updated to 7.1.9

Revision 1.49  2006/06/24 18:39:10  adamg
- alternative kernel support

Revision 1.48  2006/05/09 18:08:55  zbyniu
- build fix; synchro options with template-kernel-module.spec

Revision 1.47  2006/05/09 09:59:38  paszczus
- propably fixed building on ppc (it was typo?)

Revision 1.46  2006/05/08 13:12:26  paszczus
- updated to 7.0.38

Revision 1.45  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.44  2006/04/06 15:06:02  adamg
- make it build on 2.6.16.1

Revision 1.43  2005/12/10 15:06:55  qboosh
- no more sparc->sparc64

Revision 1.42  2005/11/13 13:40:22  paszczus
- next try to fix build on sparc (thx arekm)

Revision 1.41  2005/11/13 13:33:58  paszczus
- fixed build on ppc and sparc (copy->paste arekm`s and sparky`s changes from shfs.spec)
- release 1

Revision 1.40  2005/11/13 13:12:52  paszczus
- updated to 6.2.15 ; rel 0.1 (need test-build on builders @ 2.6.14.2)

Revision 1.39  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.38  2005/07/14 09:06:30  areq
- 6.0.60

Revision 1.37  2005/05/09 09:22:00  pluto
- conditional build fixed.

Revision 1.36  2005/05/09 08:43:42  paszczus
- ups, last md5 was proper

Revision 1.35  2005/05/09 08:42:14  paszczus
- updated md5

Revision 1.34  2005/05/08 14:02:11  pluto
- updated to 6.0.54.
- module renamed to e1000i to avoid confilct with kernel built-in e1000.
- license updated (GPLv2), cosmetics.
- release 1.

Revision 1.33  2005/03/26 21:41:51  cieciwa
- no gzip modules.

Revision 1.32  2005/03/26 14:15:51  paszczus
- fixed build on some archs
- some cleanup
- release 2 ; STBR

Revision 1.31  2005/03/25 14:06:14  paszczus
- updated URL

Revision 1.30  2005/03/13 10:50:59  paszczus
- reverted

Revision 1.28  2005/02/26 12:23:00  paszczus
- updated to 5.7.6
- STBR

Revision 1.27  2004/10/21 19:09:11  qboosh
- 2.6 now - updated deps; fixed bconds

Revision 1.26  2004/10/21 11:17:05  cieciwa
- fixed building process.

Revision 1.25  2004/10/21 10:54:03  cieciwa
- updated to version 5.5.4,
- updated MD5 sum.

Revision 1.24  2004/03/09 08:23:44  cieciwa
- version 5.2.30.1

Revision 1.23  2003/12/07 18:33:34  marcus
- fix bcond

Revision 1.22  2003/12/07 14:48:18  marcus
- fixes for ppc and kernel 2.4
- changed module name to e1000_intel to avoid conflicts
  with e1000 module from kernel

Revision 1.21  2003/11/15 21:45:17  marcus
- updated to 5.2.20

Revision 1.20  2003/08/12 22:32:48  ankry
- cosmetics

Revision 1.19  2003/07/10 13:25:41  trojan
- added using depmod macro

Revision 1.18  2003/05/26 16:25:19  malekith
- massive attack: adding Source-md5

Revision 1.17  2003/05/25 05:49:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/05/16 08:33:42  trojan
- fixed depmod in %%post and %%postun when build with _without_dist_kernel

Revision 1.15  2003/05/14 14:42:44  qboosh
- added depmod options so modules can be installed for kernel other than running

Revision 1.14  2003/03/17 10:43:17  marcus
- X86_LOCAL_APIC is only on ix86

Revision 1.13  2002/12/03 01:00:49  blues
- this is only for 2.4 kernels

Revision 1.12  2002/12/03 00:53:57  blues
- 4.4.12 - the same version from vanilla 2.4 kernel is simply big CRAP

Revision 1.11  2002/11/17 18:11:48  kloczek
- release 3: rebuild against kernel 2.2.22-6.

Revision 1.10  2002/11/02 11:23:35  ankry
- fixed bogus release: really rel. 2

Revision 1.9  2002/09/30 13:34:48  kloczek
- release 2: rebuild against kernel 2.2.22.

Revision 1.8  2002/08/26 11:58:50  marcus
a931601980da5b56  SOURCES/e1000-4.3.15.tar.gz
updated to 4.3.15
removed outdated

Revision 1.7  2002/08/21 10:52:03  qboosh
- use _kernelsrcdir macro

Revision 1.6  2002/08/20 12:13:22  blues
- 4.3.2 - STBR

Revision 1.5  2002/08/19 18:56:08  marcus
- fix for make clean

Revision 1.4  2002/08/19 18:49:24  marcus
- dirty fix for Intel's Makefile

Revision 1.3  2002/08/19 17:35:16  marcus
- fixed KSRC

Revision 1.2  2002/04/26 10:40:35  blues
- forgot to adapterize...
